<?php
require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include ('includes/function.php');

$zdb = $_SESSION["zdbyear_" . $dbname];
mysqli_select_db($conn, $zdb);
$admin = $_SESSION["admin_" . $dbname];
$fsociety = $_SESSION["society_" . $dbname];
$success = false;
$maindb = 'medihelp';

$fseries = $_SESSION["series_" . $dbname];
$keycond = " and `series`='$fseries'";

$file = "medihelp.php";

$keyfld = "vouchno";
$rangeFrom = $_REQUEST["rangeFrom"];
$rangeTo = $_REQUEST["rangeTo"];
$searchTerm = $_REQUEST["ssearch"];
$operator = $_REQUEST["soperator"];
$cond = "";
if ($operator == "=") {
    if ($_REQUEST["sfield"] == "1") {
        $cond = "AND `vouchno` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "2") {
        $cond = "AND `memno` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "3") {
        $cond = "AND `memname` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "4") {
        $cond = "AND `add1` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "5") {
        $cond = "AND `mobile` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "6") {
        $cond = "AND `remark1` = '$searchTerm'";
    } 
} else {
    if ($_REQUEST["sfield"] == "1") {
        $cond = "AND `vouchno` LIKE '%$searchTerm%'";
    }  else if ($_REQUEST["sfield"] == "2") {
        $cond = "AND `memno` LIKE '%$searchTerm%'";
    }  else if ($_REQUEST["sfield"] == "3") {
        $cond = "AND `memname` LIKE '%$searchTerm%'";
    }  else if ($_REQUEST["sfield"] == "4") {
        $cond = "AND `add1` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "5") {
        $cond = "AND `mobile` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "6") {
        $cond = "AND `remark1` LIKE '%$searchTerm%'";
    }
}

$sortcond = "ORDER BY `vouchno`";
if ($_REQUEST["sortBy"] == "1") {
    $sortcond = " ORDER BY `vouchno`";
}  else if ($_REQUEST["sortBy"] == "2") {
    $sortcond = " ORDER BY `memno`";
}  else if ($_REQUEST["sortBy"] == "3") {
    $sortcond = " ORDER BY `memname`";
}  else if ($_REQUEST["sortBy"] == "4") {
    $sortcond = " ORDER BY `add1`";
} else if ($_REQUEST["sortBy"] == "5") {
    $sortcond = " ORDER BY `mobile`";
} else if ($_REQUEST["sortBy"] == "6") {
    $sortcond = " ORDER BY `remark1`";
} 
 
$ordcond = "DESC";
if ($_REQUEST["orderAs"] == "desc") {
    $ordcond = " DESC";
} else {
    $ordcond = " ASC";
}

$query = "SELECT *,DATE_FORMAT(`vouchdt`, '%d-%m-%Y')as vouchdt
                FROM $maindb WHERE `vouchno` != '' $keycond $cond $sortcond $ordcond  LIMIT $rangeFrom, $rangeTo";
$result = mysqli_query($conn, $query)or die(mysqli_error($conn));

$rows = array();
$ctr = 0;
while ($r = mysqli_fetch_assoc($result)) {


    $rows[] = [ 'success' => true,
        'value'        => $ctr,
        'keyfld'       => $keyfld,
        'vouchno'      => $r['vouchno'],
        'memno'        => $r['memno'],
        'memname'      => $r['memname'],
        'add1'       => $r['add1'],
        'add2'       => $r['add2'],
        'add3'       => $r['add3'],
        'mobile'       => $r['mobile'],
        'remark1'      => $r['remark1'],
        'remark2'      => $r['remark2'],
        'action'       => "$file?mode=edit&vouchno=$r[vouchno]&series=$fseries"
    ];
    $ctr++;
}

header("Content-type: application\json");
echo json_encode($rows);
